Bug 199591 - Mutt hangs with "Authenticating (SASL)..." to IMAP on Exchange server
Mutt hangs with "Authenticating (SASL)..." to IMAP on Exchange server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mutt (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 12:47 EDT by Colin Simpson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.2.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 03:51:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the SASL auth problem. (1.12 KB, patch)
2006-07-26 07:05 EDT, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Colin Simpson 2006-07-20 12:47:00 EDT
Description of problem:
Mutt hangs on startup when connecting IMAP to an Exchange server.
Hangs at "Authenticating (SASL)...". This may actually be a 
problem with the 64-bit cyrus-sasl libs rather than mutt.

Version-Release number of selected component (if applicable):
mutt-1.4.1-11.rhel4
cyrus-sasl-2.1.19-5.EL4
cyrus-sasl-devel-2.1.19-5.EL4
cyrus-sasl-gssapi-2.1.19-5.EL4
cyrus-sasl-md5-2.1.19-5.EL4
cyrus-sasl-ntlm-2.1.19-5.EL4
cyrus-sasl-plain-2.1.19-5.EL4
cyrus-sasl-sql-2.1.19-5.EL4


How reproducible:

Everytime.

Problem doesn't occur if "cyrus-sasl-ntlm" isn't installed. Presumably
then authentication is by plain text so works fine. Also works fine with ntml
installed on i386 platform. So either a problem with cyrus-sasl-ntlm or mutt's
interaction with cyrus-sasl-ntlm on x86_64.

Steps to Reproduce:
1. Create a .muttrc to connect to Exchange eg
set folder="imap://colin@exchangesrv"
set spoolfile="imap://colin@exchangesrv/INBOX"

2. Ensure "cyrus-sasl-ntlm" is installed. 

3. Run mutt and hangs at "Authenticating (SASL)..."
Comment 1 Miroslav Lichvar 2006-07-25 09:14:41 EDT
It looks similar to:
http://bugs.mutt.org/cgi-bin/gnatsweb.pl?database=mutt&cmd=view+audit-trail&pr=2106

But that isn't x86_64 specific. Can you try the patch attached to the bugreport?
Comment 2 Colin Simpson 2006-07-25 10:05:27 EDT
Strugging to get the SRPM to build just now. But you are right the bug occurs on
i386 too, I just didn't check that the system I tested it on had cyrus-ntlm on
it. Now hangs on that too.

So changing bug to all platforms.
Comment 3 Colin Simpson 2006-07-25 10:31:38 EDT
Managed to apply the patch to the srpm for mutt-1.4.1-11. No longer hangs but
fails straight away with "SASL authentication failed". 


Comment 4 Miroslav Lichvar 2006-07-25 10:44:53 EDT
Ok, thanks. I'll see if I can come up with a better patch.
Comment 5 Miroslav Lichvar 2006-07-26 07:05:14 EDT
Created attachment 133062 [details]
Patch for the SASL auth problem.

The bug is fixed in the devel version of mutt, attaching backported patch.
Comment 6 Colin Simpson 2006-07-26 07:45:26 EDT
Applying that patch to the SRPM for mutt-1.4.1-11.rhel4 works great !!!
Will this appear as an RH EL 4 update?

You can close this now if your happy.

Thanks
Comment 7 Miroslav Lichvar 2006-07-26 09:47:59 EDT
There probably won't be an RHEL4 update that would fix only this bug, but it
will be fixed in RHEL5.

Note You need to log in before you can comment on or make changes to this bug.